commit:     a7e190f8caa25760afefafe6721d247c97b965fa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 15 12:08:20 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 15 12:51:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7e190f8

dev-python/pillow: Bump to 6.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pillow/Manifest            |   1 +
 dev-python/pillow/pillow-6.1.0.ebuild | 101 ++++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/dev-python/pillow/Manifest b/dev-python/pillow/Manifest
index 7cabdc3d863..ffde70d20ef 100644
--- a/dev-python/pillow/Manifest
+++ b/dev-python/pillow/Manifest
@@ -1,3 +1,4 @@
 DIST Pillow-3.4.2.zip 11042238 BLAKE2B 
334af6eeadb3203b51572eca6ad9c196f3eeac14da0f1aedc351db692b33d413fdf5bc5c8564d2f53c324d9485dbdbda664b75a570b779e24f238c21829b4a39
 SHA512 
5e05206db5bc1b4177384f7e91ee79015c6e1bbdc7c31c997da054391b9b5ec7c1ebdec258a33f598986533894f3324b03d0b4b385b94e72a0517a3437553b39
 DIST pillow-5.4.1.tar.gz 15799745 BLAKE2B 
d9e3851a80a1f94d7292852b9ab806d9a26870795f499bb109a440e64c07112055a4cd382688b977f3c3ae76ed3d6fd38460afff594f964338afa668d288e4de
 SHA512 
20b75ab50df7e9545c76d66ad585922d1f86fbcf8df9d2566882ab8929c3122573b9ec622766523ec46f5e7a98740cc78ff192e3e8f08ab0b77a7f2b033a7f62
 DIST pillow-6.0.0.tar.gz 29205509 BLAKE2B 
83e2d1abeea468b7bf344ea5003940b14d6c69649e02a954c0b3810fc5d77288c361fb40747171176d29843848d802b783a2b0c0de15476462f17f15552298fa
 SHA512 
c5fbe1432d576fe4a70a15fa7a70a446ccbcb247fbd4c3605917fa26a6345eb9319c0153dba7637d521c358963f2f06f525219aa1af1502da2565d54dceef4c5
+DIST pillow-6.1.0.tar.gz 33523149 BLAKE2B 
305613aa1f444327c0a70a9e88b51035dc87c17af9d0dd4be47192eeef1b496ba0da3675d9fed5dbaed1bd9a5f2c739370bfd7d1292d7db27230c7ad60b4db14
 SHA512 
b531644d7214f624369ada12a953c773a0009eaa50217e91aeae30b1ea065c685c7ad331bd9d5e952cb25edfaaf4e8255025004b4c83624ecd2dc06f3501d60a

diff --git a/dev-python/pillow/pillow-6.1.0.ebuild 
b/dev-python/pillow/pillow-6.1.0.ebuild
new file mode 100644
index 00000000000..7a4b5480a0a
--- /dev/null
+++ b/dev-python/pillow/pillow-6.1.0.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 toolchain-funcs virtualx
+
+MY_PN=Pillow
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Python Imaging Library (fork)"
+HOMEPAGE="https://python-pillow.org/";
+SRC_URI="https://github.com/python-pillow/Pillow/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux 
~x86-linux"
+IUSE="doc examples imagequant jpeg jpeg2k lcms test tiff tk truetype webp zlib"
+
+REQUIRED_USE="test? ( jpeg tiff )"
+
+RDEPEND="
+       dev-python/olefile[${PYTHON_USEDEP}]
+       imagequant? ( media-gfx/libimagequant:0 )
+       jpeg? ( virtual/jpeg:0 )
+       jpeg2k? ( media-libs/openjpeg:2= )
+       lcms? ( media-libs/lcms:2= )
+       tiff? ( media-libs/tiff:0=[jpeg,zlib] )
+       truetype? ( media-libs/freetype:2= )
+       webp? ( media-libs/libwebp:0= )
+       zlib? ( sys-libs/zlib:0= )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+       )
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               media-gfx/imagemagick[png]
+       )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+python_configure_all() {
+       # It's important that these flags are also passed during the install 
phase
+       # as well. Make sure of that if you change the lines below. See bug 
661308.
+       mydistutilsargs=(
+               build_ext
+               --disable-platform-guessing
+               $(use_enable truetype freetype)
+               $(use_enable jpeg)
+               $(use_enable jpeg2k jpeg2000)
+               $(use_enable lcms)
+               $(use_enable tiff)
+               $(use_enable imagequant)
+               $(use_enable webp)
+               $(use_enable webp webpmux)
+               $(use_enable zlib)
+       )
+
+       # setup.py sucks at adding the right toolchain paths but it does
+       # accept additional ones from INCLUDE and LIB so set these. You
+       # wouldn't normally need these at all as the toolchain should look
+       # here anyway but this setup.py does stupid things.
+       export \
+               INCLUDE=${ESYSROOT}/usr/include \
+               LIB=${ESYSROOT}/usr/$(get_libdir)
+
+       # We have patched in this env var.
+       tc-export PKG_CONFIG
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       "${PYTHON}" selftest.py --installed || die "selftest failed with 
${EPYTHON}"
+       # no:relaxed: pytest-relaxed plugin make our tests fail. deactivate if 
installed
+       virtx pytest -vv -p no:relaxed
+}
+
+python_install() {
+       python_doheader src/libImaging/*.h
+       distutils-r1_python_install
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       if use examples ; then
+               docinto example
+               dodoc docs/example/*
+               docompress -x /usr/share/doc/${PF}/example
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to